[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TObjectBucketList.Remove

Remove an object from the list

## Declaration

Source position: contnrs.pp line 595

`public function TObjectBucketList.Remove(`
`AItem: TObject`
`):TObject;`

## Arguments

`AItem` |  | Object to remove from the list

## Function result

Data item associated with AItem

## Description

Remove removes the object AItem from the list. It returns the Data object which was associated with the item. If AItem was not in the list, then Nil is returned.

## See also

TObjectBucketList.Add |  | Add an object to the list
TObjectBucketList.Data |  | Associative array of data items